#8 Package includes /

v1.0 (example)
closed
nobody
5
2015-10-16
2013-02-18
Alex Kelly
No

The RPM packages include /, /usr/bin, /usr/share. All of these are part of the filesystem package and cause a conflict when trying to install. This is true of both the 32bit and 64bit versions.

Output:
sudo yum -y install ./nixnote-1.5-2.x86_64.rpm
Loaded plugins: langpacks, presto, refresh-packagekit
Examining ./nixnote-1.5-2.x86_64.rpm: nixnote-1.5-2.x86_64
Marking ./nixnote-1.5-2.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package nixnote.x86_64 0:1.5-2 will be installed
--> Processing Dependency: perl(Term::ReadKey) for package: nixnote-1.5-2.x86_64
--> Running transaction check
---> Package perl-TermReadKey.x86_64 0:2.30-16.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================
Package Arch Version Repository Size
==========================================================================================
Installing:
nixnote x86_64 1.5-2 /nixnote-1.5-2.x86_64 61 M
Installing for dependencies:
perl-TermReadKey x86_64 2.30-16.fc18 fedora 30 k

Transaction Summary

Install 1 Package (+1 Dependent package)

Total size: 61 M
Installed size: 61 M
Downloading Packages:
Running Transaction Check
Running Transaction Test

Transaction Check Error:
file / from install of nixnote-1.5-2.x86_64 conflicts with file from package filesystem-3.1-2.fc18.x86_64
file /usr/bin from install of nixnote-1.5-2.x86_64 conflicts with file from package filesystem-3.1-2.fc18.x86_64

Error Summary
-------------

Discussion

  • Randy Baumgarte

    Randy Baumgarte - 2015-10-16

    Closing as out-of-date. Please try nixnote2 if you are still having issues.

     
  • Randy Baumgarte

    Randy Baumgarte - 2015-10-16
    • status: open --> closed
    • Group: --> v1.0 (example)
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks